// cvisionDlg.h : header file
//

#if !defined(AFX_CVISIONDLG_H__2C793B38_8792_4A21_94D3_6E0F1FA51F54__INCLUDED_)
#define AFX_CVISIONDLG_H__2C793B38_8792_4A21_94D3_6E0F1FA51F54__INCLUDED_
#include "cvapp.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCvisionDlg dialog

class CCvisionDlg : public CDialog
{
// Construction HWND
public:
	CCvisionDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCvisionDlg)
	enum { IDD = IDD_CVISION_DIALOG };
	CListBox	m_list;
	int		m_keyf;
	int		m_pf;
	double	m_quality;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCvisionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	SequenceProcessor *procseq;
	bool modified;
	bool camera;

	// Generated message map functions
	//{{AFX_MSG(CCvisionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnProcess();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnStop();
	afx_msg void OnSave();
	afx_msg void OnDblclkList1();
	afx_msg void OnSelchangeList1();
	afx_msg void OnCamera();
	afx_msg void OnCompress();
	afx_msg void OnCamSet();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CVISIONDLG_H__2C793B38_8792_4A21_94D3_6E0F1FA51F54__INCLUDED_)
